std::set::rend,std::set::crend(3)

NAME
std::set::rend,std::set::crend - std::set::rend,std::set::crend

Synopsis
   reverse_iterator rend(); (until C++11)
   reverse_iterator rend() noexcept; (since C++11)
   const_reverse_iterator rend() const; (until C++11)
   const_reverse_iterator rend() const noexcept; (since C++11)
   const_reverse_iterator crend() const noexcept; (since C++11)
   Returns a reverse iterator to the element following the last element of the reversed
   set. It corresponds to the element preceding the first element of the non-reversed
   set. This element acts as a placeholder, attempting to access it results in
   undefined behavior.
   range-rbegin-rend.svg

Parameters
   (none)

Return value
   Reverse iterator to the element following the last element.

Complexity
   Constant.

Notes
   Because both iterator and const_iterator are constant iterators (and may in fact be
   the same type), it is not possible to mutate the elements of the container through
   an iterator returned by any of these member functions.

Example
// Run this code
 #include <iostream>
 #include <set>
 int main()
 {
     std::set<unsigned> rep{1, 2, 3, 4, 1, 2, 3, 4};
     for (auto it = rep.crbegin(); it != rep.crend(); ++it) {
         for (auto n = *it; n > 0; --n)
             std::cout << "⏼" << ' ';
         std::cout << '\n';
     }
 }

Output:
 ⏼ ⏼ ⏼ ⏼
 ⏼ ⏼ ⏼
 ⏼ ⏼
 ⏼

See also
   rbegin returns a reverse iterator to the beginning
   crbegin (public member function)
   (C++11)
   rend returns a reverse end iterator for a container or array
   crend (function template)
   (C++14)